{% extends 'base.html' %}
{% block head %}

<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Channels:{{ channel['ytc_title'] }}" \
href="https://{{ config['MYSERVER_NAME'] }}/channel/{{ channel['ytc_id'] }}/feed">

<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:title" content="{{ channel['ytc_title'] ~ ' Channel ' ~ '(' ~ channel['limited'] ~' Censored Videos' ~ ')' }}">
<meta name="twitter:description" content="{{ channel['ytc_description'] }}">
<meta name="twitter:image" content="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail']  }}">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}/channel/{{ channel['ytc_id'] }}">
<meta property="og:title" content="{{ channel['ytc_title'] ~ ' Channel ' ~ '(' ~ channel['limited'] ~' Censored Videos' ~ ')' }}">
<meta property="og:description" content="{{ channel['ytc_description'] | safe | truncate (140) }}">
<meta property="og:type" content="article">
<meta property="og:image" content="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail'] }}">
<meta property="og:image:secure_url" content="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail']  }}">

<meta name="altcen_title" content="{% block title %}{{ channel['ytc_title'] | striptags | truncate(length=56,killwords=False,end='',leeway=0) }}{% endblock %}">
<meta name="altcen_meta_description" content="{% block description %}Limited Censored YouTube Video Channel: {{ channel['ytc_title'] }}: {{ channel['ytc_description'] }} (Created on {{ channel['ytc_publishedat'].strftime('%b %e, %G') }}){% endblock %}">

<!--
<link rel="stylesheet" href="{{ url_for('static', filename='css/shareon.css') }}">
-->

{% endblock %}

{% block content %}
<script src="{{ url_for('static', filename='js/shareon.iife.js') }}" defer init></script>
    {% with active_nav='channel' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
          <div class="pure-u-1 pure-u-md-1-2">
            <div class="h-box">
              <div class="pure-g">
                <div class="pure-u-1-2">
                  <div class="thumbnail">
<!--
                      <img class="thumbnail" src="{{ channel['ytc_thumbnailurl'] | reverse | replace('88','671', 1) | reverse  }}"
                      onerror="this.onerror=null;this.src='https://{{ config['MYSERVER_NAME'] }}/channel_unnamed.jpg';" >
-->
                      <img class="thumbnail" src="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail'] }}"
                           onerror="this.onerror=null;this.src='{{ config.CHANNEL_THUMB_ERROR_IMAGE }}';">
                  </div>
                </div>
                <div class="pure-u-1-2">
                  <div class=header_left>
                    <b>
                    &nbsp;{{ gettext('Censored') }}: {{ channel['limited']|commafy }}</b><br>
                     {% if not channel['ytc_deleted'] %}
                      &nbsp;{{ gettext('Archived') }}: {{ channel['archived']|commafy }}<br>
                     {% endif %}
                      &nbsp;{{ gettext('Total') }}: {{ channel['total']|commafy }}<br>
                    &nbsp;{{ gettext('Views') }}: {{ channel['ytc_viewcount']|commafy }}<br>
                    &nbsp;{{ gettext('Subscribers') }}: {{ channel['ytc_subscribercount']|commafy }}<br>
                    {% if channel['ytc_deleted'] %}
                    {% else %}

                    {% endif %}
                    &nbsp;<b><a style="width:100%;" href="https://www.youtube.com/channel/{{ channel['ytc_id'] }}" target="_blank">YouTube {{ gettext('Channel') }}</a></b><br>
                    &nbsp;<b><a style="width:100%;" href="https://www.socialblade.com/youtube/channel/{{ channel['ytc_id'] }}" target="_blank">SocialBlade {{ gettext('Stats') }}</a></b>
                  <p></p>
                      <b>&nbsp;{{ gettext('Created:') }} {{ channel['ytc_publishedat'].strftime('%b %e, %G') }}</b><br>
                      &nbsp;({{ gettext('Added') }} {{ channel['ytc_addeddate'].strftime('%b %e, %G') }})<br>
                       {% if channel['ytc_deleted'] %}
                         <span style="color: red; ">
                             <b>&nbsp;{{ gettext('Deleted:') }} {{ channel['ytc_deleteddate'].strftime('%b %e, %G') }}</span></b>
                       {% endif %}
                  </div>
                </div>
              </div>
            </div>
          </div>
        <div class="pure-u-1 pure-u-md-1-1">
            <div class="h-box">
            <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                <h3>{{ channel['ytc_title'] }}</h3></a>
            {% if channel['ytc_deleted'] %}
            <div class="shareon" data-url="https://{{ config['MYSERVER_NAME'] }}/channel/{{ channel['ytc_id'] }}"
                 data-title="YouTube Channel {{channel['ytc_title']|truncate(60,False,'')|pprint}} TERMINATED {{channel['ytc_deleteddate'].strftime('%m/%d/%y')}}; {{channel['limited']}} Censored Videos #RemovedFromYouTube #FreeSpeech
(Watch/Share #Censored videos: together we show what they hide)">
            {% elif channel['limited'] %}
            <div class="shareon" data-url="https://{{ config['MYSERVER_NAME'] }}/channel/{{ channel['ytc_id'] }}"
                 data-title="YouTube Channel {{channel['ytc_title']|truncate(60,False,'')|pprint}} being Archived in case of Removal; {{channel['limited']}} #Censored Videos
(Videos Appear if #RemovedFromYouTube: we show what they hide) #FreeSpeech">
            {% else %}
            <div class="shareon" data-url="https://{{ config['MYSERVER_NAME'] }}/channel/{{ channel['ytc_id'] }}"
                 data-title="YouTube Channel {{channel['ytc_title']|truncate(60,False,'')|pprint}} being Archived in case of Removal
(Videos Appear if #RemovedFromYouTube: we show what they hide) #FreeSpeech">
            {% endif %}
              <a class="facebook" data-fb-app-id="225377455209362" data-hashtags="RemovedFromYouTube"></a>
              <a class="twitter" ></a>
              <a class="telegram"</a>
              <a class="copy-url"></a>
              <a class="whatsapp"></a>
              <a class="email"></a>
            </div>

                  {% if channel['ytc_description']  is not none %}
                      {{ channel['ytc_description'] | linkify | safe | nl2br | truncate (1000) }}
                  {% endif %}
            </div>
        <div class="pure-g h-box">
            <div class="pure-u-10-24">
                <div class="pure-u-1 pure-md-1-2">
                </div>
                <div class="pure-u-1 pure-md-1-2">
                    <i class='ion-logo-youtube'  style="font-size: 24px"></i>
                    <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) ~ '/feed' }}">
                        <i class='ion-logo-rss' style="font-size: 21px"></i>
                    </a>
                    <b>&nbsp;{{ videocount | commafy }}</b>
                </div>
            </div>
            <div class="pure-u-4-24" style="text-align:center;">
                <div class="pure-u-1 pure-md-1-1">
                </div>
            </div>
            <div class="pure-u-10-24" style="text-align:right;">
                <div class="pure-u-1 pure-md-1-2">
                    <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                        {{ gettext('newest') }}</a>
                </div>
                <div class="pure-u-1 pure-md-1-2">
                    <a href="{{ url_for('channel.item_popular', ytc_id=channel['ytc_id']) }}" class="pure-menu-item {{'selected' if order == 'popular' }}">
                        {{ gettext('popular') }}</a>
                </div>
            </div>
        </div>
        <div class="h-box">
            <hr>
        </div>
        </div>
    </div>
    </div>

    {% with video=video, watchlater=watchlater %}
        {% include "widgets/videos.html" %}
    {% endwith %}

    {% from "_helpers.html" import render_pagination %}
    <div class="pure-u-1 pure-u-md-4-4">
        <div class="h-box">
            {{ render_pagination(pagination) }}
        </div>
    </div>

{% endblock %}
